org.codehaus.plexus.compiler

## Class AbstractCompilerTckTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.codehaus.plexus.PlexusTestCase
      - - org.codehaus.plexus.compiler.AbstractCompilerTckTest

All Implemented Interfaces:
  junit.framework.Test

    public abstract class AbstractCompilerTckTest
    extends org.codehaus.plexus.PlexusTestCase

Version:
  $Id$
Author:
  Trygve Laugstøl

### Constructor Summary

Constructors
`protected` `AbstractCompilerTckTest(String roleHint)`

### Method Summary

Methods
`protected List<CompilerError>` `compile(CompilerConfiguration configuration)`
`void` `testDeprecation()`
`void` `testWarning()`
`protected void` `writeFileWithDeprecatedApi(File path, String className)`
`protected void` `writeFileWithWarning(File path, String className)`

### Methods inherited from class org.codehaus.plexus.PlexusTestCase

`customizeComponentConfiguration, customizeContainerConfiguration, customizeContext, getBasedir, getClassLoader, getConfiguration, getConfiguration, getConfigurationName, getContainer, getCustomConfigurationName, getResourceAsStream, getTestConfiguration, getTestConfiguration, getTestFile, getTestFile, getTestPath, getTestPath, lookup, lookup, lookup, lookup, release, setUp, setupContainer, tearDown`

### Methods inherited from class junit.framework.TestCase

`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

### Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractCompilerTckTest

    protected AbstractCompilerTckTest(String roleHint)

### Method Detail

#### testDeprecation

    public void testDeprecation()
                         throws Exception

Throws:
  `Exception`

#### testWarning

    public void testWarning()
                     throws Exception

Throws:
  `Exception`

#### compile

    protected List<CompilerError> compile(CompilerConfiguration configuration)
                                   throws Exception

Throws:
  `Exception`

#### writeFileWithDeprecatedApi

    protected void writeFileWithDeprecatedApi(File path,
                                  String className)
                                       throws IOException

Throws:
  `IOException`

#### writeFileWithWarning

    protected void writeFileWithWarning(File path,
                            String className)
                                 throws IOException

Throws:
  `IOException`